
PENGADIAN EMAS - Bug #15676

BE[EMAS][DASHBOARD][UNREALIZED GAIN LOSS]Wrong Calulation ###9581

03 February 2023 09:58 AM - yap chekying

Status: Closed Start date: 03 February 2023

Priority: Normal Due date:  

Assignee: yap chekying % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue: Wrong Gain/Loss calculation

UID: UATEMAS23

Based on manual calculation = IDR - 15,442.50

While in M2U Apps shown = IDR 91

 

 

History

#1 - 08 February 2023 01:15 PM - santhosh Krishna

- Status changed from New to Resolved

#2 - 08 February 2023 02:00 PM - santhosh Krishna

- File customer360.jpeg added

- File customer360-response.jpeg added

- File dashboard.jpeg added

- File dashboardResponse.jpeg added

- Assignee changed from santhosh Krishna to yap chekying

As u can see in customer360 and dashboard response the value for unrealizedGainLoss is -1.915846.....E-10(it meant as -0.000.....19..) value to long

so its simplify itself. In 360 it showing correctly as -0 but in dashboard FE missed to convert that value hence it showing -19158....

#3 - 08 February 2023 03:21 PM - yap chekying

- Status changed from Resolved to Pending Close

#4 - 22 February 2023 04:04 PM - yap chekying

- Status changed from Pending Close to Closed

Files

AveragePurchasePrice.png 15.3 KB 03 February 2023 yap chekying

average.png 117 KB 03 February 2023 yap chekying

customer360.jpeg 16.9 KB 08 February 2023 santhosh Krishna

customer360-response.jpeg 36.2 KB 08 February 2023 santhosh Krishna

dashboard.jpeg 34.3 KB 08 February 2023 santhosh Krishna

dashboardResponse.jpeg 56.9 KB 08 February 2023 santhosh Krishna
